Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.management
Interface WLCMBean

public interface WLCMBean
extends com.bea.b2b.management.WLCConfigurationMBean

The WLCMBean interface represents the WebLogic Collaborate. It acts as a factory for all other mbeans.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`ConversationMBean[]` | `getActiveConversations()` Gets all the active conversations in the system.
`DeliveryChannelMBean[]` | `getActiveDeliveryChannels()` Gets all the active delivery channels in the system.
`java.util.Date` | `getActiveSince()` Gets the start time of WebLogic Collaborate server.
`CollaborationAgreementMBean[]` | `getEnabledCollaborationAgreements()` Gets all the enabled collaboration protocol agreements in the system.
`java.util.Date` | `getLastMessageRecievedTime()` Gets the timestamp of last message recieved.
`java.util.Date` | `getLastMessageSentTime()` Gets the timestamp of last message sent.
`int` | `getNumMessagesReceived()` Gets the number of messages recieved.
`int` | `getNumMessagesSent()` Gets the number of messages sent.
`int` | `getStatus()` Gets the status of the WebLogic Collaborate server.
`TradingPartnerSessionMBean[]` | `getTradingPartnerSessions()` Gets all the Trading Partner sessions in the system.
`boolean` | `isPersistent()`
`void` | `refreshKeyStores()` Refresh Keystores
`void` | `removeParameter(com.bea.b2b.management.ParameterMBean param)` Removes a parameter for the WebLogic Collaborate.
`void` | `reset()` Reset changes
`void` | `shutDown(int mode)` Shuts down the current WebLogic Collaborate server.
`void` | `start(boolean mode)` Starts up the WebLogic Collaborate server.

Method Detail

### getStatus

    public int getStatus()

  Gets the status of the WebLogic Collaborate server.

  Returns:
    int - status of the WebLogic Collaborate server.

### removeParameter

    public void removeParameter(com.bea.b2b.management.ParameterMBean param)
                         throws ManagementException

  Removes a parameter for the WebLogic Collaborate.

  Parameters:
    `param` - parameter to be removed for the WebLogic Collaborate.

### getActiveSince

    public java.util.Date getActiveSince()

  Gets the start time of WebLogic Collaborate server.

  Returns:
    Date - Time when WebLogic Collaborate server was started.

### getNumMessagesSent

    public int getNumMessagesSent()

  Gets the number of messages sent.

  Returns:
    int - Number of messages sent.

### getNumMessagesReceived

    public int getNumMessagesReceived()

  Gets the number of messages recieved.

  Returns:
    int - Number of messages recieved.

### getLastMessageSentTime

    public java.util.Date getLastMessageSentTime()

  Gets the timestamp of last message sent.

  Returns:
    Date - timestamp of last message sent.

### getLastMessageRecievedTime

    public java.util.Date getLastMessageRecievedTime()

  Gets the timestamp of last message recieved.

  Returns:
    Date - timestamp of last message recieved.

### getEnabledCollaborationAgreements

    public CollaborationAgreementMBean[] getEnabledCollaborationAgreements()
                                                                    throws ManagementException

  Gets all the enabled collaboration protocol agreements in the system.

  Returns:
    CollaborationAgreementMBean[] - Array of CollaborationAgreementMBeans.

### getActiveDeliveryChannels

    public DeliveryChannelMBean[] getActiveDeliveryChannels()
                                                     throws ManagementException

  Gets all the active delivery channels in the system.

  Returns:
    DeliveryChannelMBean[] - Array of DeliveryChannelMBeans.

### getActiveConversations

    public ConversationMBean[] getActiveConversations()
                                               throws ManagementException

  Gets all the active conversations in the system.

  Returns:
    ConversationMBean[] - Array of ConversationMBeans.

### getTradingPartnerSessions

    public TradingPartnerSessionMBean[] getTradingPartnerSessions()
                                                           throws ManagementException

  Gets all the Trading Partner sessions in the system.

  Returns:
    TradingPartnerSessionMBean[] - Array of TradingPartnerSessionMBeans.
  Throws:
    ManagementException - If an error occurred.

### start

    public void start(boolean mode)
               throws ManagementException

  Starts up the WebLogic Collaborate server.

  Parameters:
    `mode` - Mode for the start. Recovery on/off

### shutDown

    public void shutDown(int mode)
                  throws ManagementException

  Shuts down the current WebLogic Collaborate server.

  Parameters:
    `mode` - Mode for the shutdown. One of the following values:

    ShutdownMode.IMMEDIATE( Stop accepting all messages, keep information about all resources in persistent store and shut down)

    ShutdownMode.QUIESCE ( Wait for shut down till all active conversations terminate. Don't allow creation of new conversations. Trading partner sessions are not removed, new trading partner sessions are still allowed to be created or new CAs can be registered/unregistered.

    ShutdownMode.TERMINATE ( Terminate all active conversations, unregister all active CAs. Reject all new messages. Messages in trading partner's queues are discarded.

  Throws:
    ManagementException - If an error occurred during shutdown.

### isPersistent

    public boolean isPersistent()

### refreshKeyStores

    public void refreshKeyStores()

  Refresh Keystores

### reset

    public void reset()

  Reset changes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)